Subject: Re: [PATCH] Don't use $author_name undefined when $from contains no /\s</.

From: Jakub Narebski <[email-masked]>
Date: Fri, 20 Oct 2006 17:48:21 +0200

Paul Eggert wrote:

> Junio C Hamano <[email-masked]> writes:
> 
>> If "trailing space" highlighting picks up the first column blank
>> in "diff -u" output, that highlighting feature is *broken*.
> 
> If the buffer contains arbitrary text, some of which is diff -u output
> and some of which is not, then it it isn't possible in general for the
> highlighting mode to distinguish between the diff -u part and the
> other part.

Not true. If GNU patch (and git-apply) can detect where diff begins,
and can detect if diff was truncated, then highlighting mode can
distinguish between diff -u part and rest... well, unless you intermix
diff-u output and arbitrary text (so the patch would not apply, but what
happens when commenting a patch).

Still I'd rather relax highlighting code to not highlight "SPC LF"
than to change diff -u format.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git